execute @e[family=moving_dummy] ~~~ execute @s[x=1084, r=1] ~~~ tag @s add goright
execute @e[family=moving_dummy] ~~~ execute @s[x=1084, r=1] ~~~ tag @s remove goleft
execute @e[family=moving_dummy, tag=goright] ~~~ tp @s ~0.2~~
execute @e[family=moving_dummy] ~~~ execute @s[x=1101, r=1] ~~~ tag @s add goleft
execute @e[family=moving_dummy] ~~~ execute @s[x=1101, r=1] ~~~ tag @s remove goright
execute @e[family=moving_dummy, tag=goleft] ~~~ tp @s ~-0.2~~
execute @e[family=moving_dummy] ~~~ execute @s[family=invis] ~~~ effect @s invisibility 1 1 true
effect @e[family=float] slow_falling 1 1 true
effect @a[tag=moonp] slow_falling 2 1 true
effect @a[tag=moonp] jump_boost 2 2 true
effect @a[tag=marsp] slowness 2 1 true

execute @e[type=hf:sentinel] ~~~ execute @e[r=5, family=monster] ~~~ event entity @e[type=hf:sentinel] barrier
execute @e[type=hf:teleporter_projectile] ~~~ particle hf:teleporter_2 ~~~
execute @a[tag=start_title] ~~~ tp @s ~~~
execute @e[tag=elevatorpull] ~~~ ride @a[r=5] start_riding @s teleport_rider

execute @e[family=container] ~~~ tp @s ~~~
execute @a[tag=recall_particle] ~~~ particle hf:recall ~~~
execute @e[type=hf:elevator, family=clickable] ~~~ title @a[r=2] actionbar Interact to use the elevator

#---ARENA CINEMATICS---
execute @e[tag=gamestartedm, family=noplayer] ~~~ function cinematics/boss/endsim2
execute @e[tag=boss1] ~~~ scoreboard players add @a bosscutscene1 1
execute @e[tag=boss2] ~~~ scoreboard players add @a bosscutscene1 1
execute @e[tag=boss3] ~~~ scoreboard players add @a bosscutscene1 1
execute @e[tag=boss4] ~~~ scoreboard players add @a bosscutscene1 1

# Starting
execute @a[scores={bosscutscene1=1}] ~~~ tp @s 1307 98 513 facing 1320 95 525
execute @a[scores={bosscutscene1=1..120}] ~~~ tp @s ^^0.01^-0.02 facing 1320 95 525

# Door1
execute @a[scores={bosscutscene1=121..180}] ~~~ tp @s 1361 97 521 facing 1380 86 529
execute @a[scores={bosscutscene1=122}] ~~~ playsound boss.computer.door @s ~~~
execute @a[scores={bosscutscene1=126}] ~~~ fill 1371 95 520 1371 95 530 minecraft:oxidized_cut_copper_stairs ["upside_down_bit":true, "weirdo_direction":0]
execute @a[scores={bosscutscene1=132}] ~~~ fill 1371 94 520 1371 94 530 minecraft:oxidized_cut_copper_stairs ["upside_down_bit":false, "weirdo_direction":0]
execute @a[scores={bosscutscene1=138}] ~~~ fill 1371 93 520 1371 93 530 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=144}] ~~~ fill 1371 92 520 1371 92 530 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=150}] ~~~ fill 1371 91 520 1371 91 530 minecraft:oxidized_cut_copper_stairs ["upside_down_bit":false, "weirdo_direction":0]
execute @a[scores={bosscutscene1=156}] ~~~ fill 1371 90 521 1371 90 529 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=162}] ~~~ fill 1371 89 521 1371 89 529 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=168}] ~~~ fill 1371 88 522 1371 88 528 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=174}] ~~~ fill 1371 87 522 1371 87 528 minecraft:warped_planks 0

# Door2
execute @a[scores={bosscutscene1=181..240}] ~~~ tp @s 1280 96 521 facing 1260 86 529
execute @a[scores={bosscutscene1=186}] ~~~ fill 1269 95 520 1269 95 530 minecraft:oxidized_cut_copper_stairs ["upside_down_bit":true, "weirdo_direction":1]
execute @a[scores={bosscutscene1=192}] ~~~ fill 1269 94 520 1269 94 530 minecraft:oxidized_cut_copper_stairs ["upside_down_bit":false, "weirdo_direction":1]
execute @a[scores={bosscutscene1=198}] ~~~ fill 1269 93 520 1269 93 530 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=204}] ~~~ fill 1269 92 520 1269 92 530 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=210}] ~~~ fill 1269 91 520 1269 91 530 minecraft:oxidized_cut_copper_stairs ["upside_down_bit":false, "weirdo_direction":1]
execute @a[scores={bosscutscene1=216}] ~~~ fill 1269 90 521 1269 90 529 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=222}] ~~~ fill 1269 89 521 1269 89 529 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=228}] ~~~ fill 1269 88 522 1269 88 528 minecraft:warped_planks 0
execute @a[scores={bosscutscene1=234}] ~~~ fill 1269 87 522 1269 87 528 minecraft:warped_planks 0

# Boss
execute @a[scores={bosscutscene1=241}] ~~~ tp @s 1298 96 525
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss1] ~~~ summon hf:mech_o_kong 1320 94 525
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss2] ~~~ summon hf:cyberwings 1320 94 525
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss3] ~~~ summon hf:techn_o_ctopus 1320 94 525
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss4] ~~~ summon hf:robosaurus 1320 94 525
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss1] ~~~ structure load "mystructure:1" 1288 93 493 0_degrees none layer_by_layer 9.00
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss2] ~~~ structure load "mystructure:2" 1288 93 493 0_degrees none layer_by_layer 9.00
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss3] ~~~ structure load "mystructure:3" 1288 93 493 0_degrees none layer_by_layer 9.00
execute @a[scores={bosscutscene1=241}, c=1] ~~~ execute @e[tag=boss4] ~~~ structure load "mystructure:4" 1288 93 493 0_degrees none layer_by_layer 9.00
execute @a[scores={bosscutscene1=270}, c=1] ~~~ playsound boss.computer.boss @s ~~~
execute @a[scores={bosscutscene1=241..420}] ~~~ tp @s ^-0.2^0.02^0.07 facing 1320 95 525


execute @a[scores={bosscutscene1=421..}] ~~~ tag @s remove dev
execute @a[scores={bosscutscene1=421..}] ~~~ gamemode s @a
execute @a[scores={bosscutscene1=421..}] ~~~ tp @s 1336 93 525 90 0
execute @a[scores={bosscutscene1=421..}] ~~~ title @s clear
execute @a[scores={bosscutscene1=421..}] ~~~ kill @e[type=item, name=Bamboo]
execute @a[scores={bosscutscene1=421..}] ~~~ tag @e[tag=boss1] remove boss1
execute @a[scores={bosscutscene1=421..}] ~~~ tag @e[tag=boss2] remove boss2
execute @a[scores={bosscutscene1=421..}] ~~~ tag @e[tag=boss3] remove boss3
execute @a[scores={bosscutscene1=421..}] ~~~ tag @e[tag=boss4] remove boss4
execute @a[scores={bosscutscene1=421..}] ~~~ event entity @e[type=hf:boss_computer] test
execute @a[scores={bosscutscene1=421..}] ~~~ tag @e[type=hf:boss_computer] add gamestartedm
execute @a[scores={bosscutscene1=421..}] ~~~ scoreboard objectives remove bosscutscene1

#---CINEMATICS---

execute @e[type=hf:cutscene] ~~~ scoreboard players add @a cutscene 1
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene] ~~~ gamerule domobspawning false
execute @a[scores={cutscene=241}] ~~~ execute @e[type=hf:cutscene] ~~~ function spread


# Weapons
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @e[tag=cstp] 1169 111 849 facing 1181 111 865
execute @a[scores={cutscene=1..60}, c=1] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @a ~~~ facing 1149 111 821

execute @a[scores={cutscene=61}] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @e[tag=cstp] 1157 83 833 facing 1146 83 821
execute @a[scores={cutscene=61..120}, c=1] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @a ~~~ facing 1140 81 838

execute @a[scores={cutscene=121}] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @e[tag=cstp] 1096 84 836 facing 1096 84 845
execute @a[scores={cutscene=121..180}, c=1] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @a ~~~ facing 1096 85 830
execute @a[scores={cutscene=1..180}, c=1] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @s ^^^0.2

execute @a[scores={cutscene=181}] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @e[tag=cstp] 1148 92.7 889 facing 1148 80 875
execute @a[scores={cutscene=181..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @a ~~~ facing 1148 91 843
execute @a[scores={cutscene=181..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=one] ~~~ tp @s ^^-0.2^0.3
execute @e[type=hf:cutscene, family=one] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load weapons ~~1~


# Boss
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @e[tag=cstp] 1230 130 576 facing 1221 130 505
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @a ~~~ facing 1320 104 525

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @e[tag=cstp] 1320 122 491 facing 1293 122 540
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @a ~~~ facing 1320 124 525
execute @a[scores={cutscene=1..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @s ^^^0.6

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @e[tag=cstp] 1223 70 525 facing 1244 72 525
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @a ~~~ facing 1268 100 525
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=two] ~~~ tp @s ^^0.08^0.5
execute @e[type=hf:cutscene, family=two] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load boss ~~1~



# Lucky Block
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @e[tag=cstp] 1122 88 223 facing 1060 86 232
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @a ~~~ facing 1096 81 193
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @s ^^^0.5

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @e[tag=cstp] 1089 67 206
execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @a ~~~ facing 1078 68 206
execute @a[scores={cutscene=101..180}, c=1] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @a ~~~ ~1 ~

execute @a[scores={cutscene=181}] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @e[tag=cstp] 1087 65 231 facing 1086 63 220
execute @a[scores={cutscene=181..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @a ~~~ facing 1087 65 191
execute @a[scores={cutscene=181..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=three] ~~~ tp @s ^^-0.03^0.2
execute @e[type=hf:cutscene, family=three] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load luckyblock ~~1~



# Aliens
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @e[tag=cstp] 811 171 713 facing 825 163 788
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @a ~~~ facing 763 160 739
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @s ^^^0.6

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @e[tag=cstp] 742 159 832 facing 742 159 868
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @a ~~~ facing 742 159 817
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @s ^^^0.3

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @e[tag=cstp] 743 171.2 897 facing 742 159 870
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @a ~~~ facing 742 166 852
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=four] ~~~ tp @s ^^-0.3^0.7
execute @e[type=hf:cutscene, family=four] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load aliens ~~1~



# Furniture
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @e[tag=cstp] 127 91 -194 facing 205 96 -189
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @a ~~~ facing 164 88 -151
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @s ^^^0.6

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @e[tag=cstp] 199 82 -128 facing 162 82 -144
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @a ~~~ facing 159 83 -146
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @s ^^^0.3

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @e[tag=cstp] 152 91 -144 -90 0
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @a ~~~
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=five] ~~~ tp @s ^^-0.2^
execute @e[type=hf:cutscene, family=five] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load furniture ~~1~



# TNT
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @e[tag=cstp] -6 95 -547 facing 42 95 -527
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @a ~~~ facing 9 83 -496
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @s ^^^0.6

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @e[tag=cstp] -39 80 -498 facing -38 80 -463
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @a ~~~ facing -66 70 -497
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @s ^^^0.3

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @e[tag=cstp] -10 79 -488 facing -40 70 -488
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @a ~~~ facing -46 73 -488
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=six] ~~~ tp @s ^^-0.15^0.6
execute @e[type=hf:cutscene, family=six] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load tnt ~~1~


# Moon and Mars
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @s 1394 82 -1051 facing 1392 82 -1084
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @a ~~~ facing 1410 80 -1067
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @s ^^^0.4

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @s 1403 84 -1047 facing 1386 130 -1003
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @a ~~~ facing 1410 80 -1067
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @s ^^0.05^0.2

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @s 1393 89 -1066.5 facing 1393 77 -1067
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @a ~~~ facing 1410 80 -1067
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=seven] ~~~ tp @s ^^-0.3^
execute @e[type=hf:cutscene, family=seven] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load moon_and_mars ~~1~


# Vehicle
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @e[tag=cstp] 1096 78 -513 facing 1123 78 -515
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @a ~~~ facing 1060 73 -530
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @a ~~~ ~1.5~
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @s ^^^0.1

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @e[tag=cstp] 1101 82 -511 facing 1085 105 -469
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @a ~~~ facing 1113 77 -540
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @s ^^^0.4

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @e[tag=cstp] 1145 81 -516 facing 1135 72 -516
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @a ~~~ facing 1129 74 -516
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=eight] ~~~ tp @s ^^-0.2^0.2
execute @e[type=hf:cutscene, family=eight] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load vehicles ~~1~



# Defence
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @e[tag=cstp] 249 86 -755 facing 170 86 -756
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @a ~~~ facing 210 70 -794
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @s ^^^0.6

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @e[tag=cstp] 202 74 -746 facing 181 73 -787
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @a ~~~ facing 176 72 -796
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @s ^^^0.4

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @e[tag=cstp] 210 78 -702 facing 210 66 -730
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @a ~~~ facing 210 73 -763
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=nine] ~~~ tp @s ^^-0.3^0.5
execute @e[type=hf:cutscene, family=nine] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load defence ~~1~



# Minion
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @e[tag=cstp] 676 85 -433 facing 711 84 -44
execute @a[scores={cutscene=1}] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @a ~~~ facing 663 75 -462
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @a ~~~ ~0.7~
execute @a[scores={cutscene=1..100}, c=1] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @s ^^^0.2

execute @a[scores={cutscene=101}] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @e[tag=cstp] 728 75 -476 facing 708 75 -476
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @a ~~~ facing ~~~10
execute @a[scores={cutscene=101..200}, c=1] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @s ^^^0.2

execute @a[scores={cutscene=201}] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @e[tag=cstp] 642 85 -417 facing 652 72 -445
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @a ~~~ facing 652 81 -477
execute @a[scores={cutscene=201..240}, c=1] ~~~ execute @e[type=hf:cutscene, family=ten] ~~~ tp @s ^^-0.3^0.7
execute @e[type=hf:cutscene, family=ten] ~~~ execute @a[scores={cutscene=242..}, c=1] ~~~ execute @a ~~~ structure load minions ~~1~




execute @a[scores={cutscene=242..}] ~~~ execute @e[type=hf:cutscene] ~~~ tag @a remove dev
execute @a[scores={cutscene=242..}] ~~~ execute @e[type=hf:cutscene] ~~~ gamemode s @a
execute @a[scores={cutscene=242..}] ~~~ execute @e[type=hf:cutscene] ~~~ gamerule domobspawning true
execute @a[scores={cutscene=242..}] ~~~ execute @e[type=hf:cutscene] ~~~ tag @a remove cstp
execute @a[scores={cutscene=242..}] ~~~ execute @e[type=hf:cutscene] ~~~ event entity @s despawn
execute @a[scores={cutscene=242..}] ~~~ scoreboard objectives remove cutscene
